#!/bin/bash

if [ $# -ne 1 ]; then
  echo "sh install.sh [password]"
  exit 1
fi
password=${1:-$1}
echo $password | sudo -S ls

installdebLibrary()
{
  sudo apt-get update
  sudo apt-get install build-essential
  sudo apt-get install qtchooser
  sudo apt-get install qt5-qmake
  sudo apt-get install qtbase5-dev-tools
  sudo apt-get install libqt5openg15-dev
  sudo apt-get install qtcreator
  sudo apt-get install qttools-dev	
  sudo apt-get install qttools-dev-tools
  sudo apt update && sudo apt install clang
  sudo apt install libc++-dev libc++abi-dev
  sudo apt install build-essential g++
  sudo apt install build-essential clang libc++-dev libc++abi-dev
  sudo apt install build-essential g++
  sudo apt install g++
}

installdebLibrary


